/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var WebTileManagerDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebTileManagerDescription, _super);
    function WebTileManagerDescription() {
        var _this = _super.call(this) || this;
        _this.n = null;
        _this.j = null;
        _this.h = 0;
        _this.l = null;
        _this.m = null;
        _this.k = null;
        _this.r = null;
        _this.s = null;
        _this.q = null;
        _this.p = null;
        _this.o = null;
        _this.v = null;
        _this.u = null;
        _this.t = null;
        return _this;
    }
    WebTileManagerDescription.prototype.get_type = function () {
        return "WebTileManager";
    };
    Object.defineProperty(WebTileManagerDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "resizeMode", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.g("ResizeMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "dragMode", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.g("DragMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "columnCount", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.g("ColumnCount");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "minColumnWidth", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.g("MinColumnWidth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "minRowHeight", {
        get: function () {
            return this.m;
        },
        set: function (a) {
            this.m = a;
            this.g("MinRowHeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "gap", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.g("Gap");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileFullscreenRef", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.g("TileFullscreenRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileMaximizeRef", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.g("TileMaximizeRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileDragStartRef", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.g("TileDragStartRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileDragEndRef", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.g("TileDragEndRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileDragCancelRef", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.g("TileDragCancelRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileResizeStartRef", {
        get: function () {
            return this.v;
        },
        set: function (a) {
            this.v = a;
            this.g("TileResizeStartRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileResizeEndRef", {
        get: function () {
            return this.u;
        },
        set: function (a) {
            this.u = a;
            this.g("TileResizeEndRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileManagerDescription.prototype, "tileResizeCancelRef", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.g("TileResizeCancelRef");
        },
        enumerable: false,
        configurable: true
    });
    WebTileManagerDescription.$t = markType(WebTileManagerDescription, 'WebTileManagerDescription', Description.$);
    return WebTileManagerDescription;
}(Description));
export { WebTileManagerDescription };
